TenantCleanupService_CleanupTenantData

POST /users/tenants/{tenantId}/cleanup

Operation id: TenantCleanupService_CleanupTenantData

Tags: TenantCleanupService

Parameters

Path parameters

NameTypeRequiredDescription
tenantIdstringYesThe tenant ID to cleanup data for. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
confirmCleanupbooleanNo
{
  "type": "object",
  "properties": {
    "confirmCleanup": {
      "type": "boolean"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
statusstringNo
cleanupResultsobjectNo
errorMessagestringNo
cleanupTimestampstring (int64)No
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "SUCCESS",
        "PARTIAL_SUCCESS",
        "FAILED"
      ],
      "default": "SUCCESS"
    },
    "cleanupResults": {
      "type": "object",
      "properties": {
        "permissionDeleted": {
          "type": "string"
        },
        "usersDeleted": {
          "type": "string"
        },
        "rolesDeleted": {
          "type": "string"
        },
        "workspaceDeleted": {
          "type": "string"
        },
        "userInviteDeleted": {
          "type": "string"
        },
        "userMappingDeleted": {
          "type": "string"
        },
        "siteTemplatesDeleted": {
          "type": "string"
        },
        "failures": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "hierarchyMetadataDeleted": {
          "type": "string"
        }
      }
    },
    "errorMessage": {
      "type": "string"
    },
    "cleanupTimestamp": {
      "type": "string",
      "format": "int64"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}